Create custom record
curl --request POST \
--url https://api.onvy.health/users/{user_id}/custom_records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_records_type_id": "<string>",
"data": {},
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"description": "<string>",
"attachments": [
{
"mime_type": "<string>",
"description": "<string>",
"data_base64": "<string>",
"data_url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.onvy.health/users/{user_id}/custom_records"
payload = {
"custom_records_type_id": "<string>",
"data": {},
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"description": "<string>",
"attachments": [
{
"mime_type": "<string>",
"description": "<string>",
"data_base64": "<string>",
"data_url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_records_type_id: '<string>',
data: {},
id: '<string>',
project_id: '<string>',
user_id: '<string>',
description: '<string>',
attachments: [
{
mime_type: '<string>',
description: '<string>',
data_base64: '<string>',
data_url: '<string>'
}
],
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.onvy.health/users/{user_id}/custom_records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_records_type_id": "<string>",
"data": {},
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"description": "<string>",
"attachments": [
{
"mime_type": "<string>",
"description": "<string>",
"data_base64": "<string>",
"data_url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}custom-records
Create custom record
Create a new custom record for a user
POST
/
users
/
{user_id}
/
custom_records
Create custom record
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
Body
application/json
Custom record data
ID of the custom record type this record conforms to
Payload data matching the custom record type's JSON Schema
Custom record ID (ULID)
Optional file attachments associated with this record
Show child attributes
Show child attributes
Response
Custom record created successfully
ID of the custom record type this record conforms to
Payload data matching the custom record type's JSON Schema
Custom record ID (ULID)
Optional file attachments associated with this record
Show child attributes
Show child attributes
Was this page helpful?